package com.prolog.cs.biz.inbound.model.failure;

import com.prolog.framework.core.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description
 * @Date 2022-01-27
 */
@ApiModel
@Table(value = "in_receiving_abnormal_d")
public class InReceivingAbnormalD implements Serializable {
	private static final long serialVersionUID = 5293927547543786946L;
	@Id
	@AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
	@ApiModelProperty(value = "ID标识(主键)", required = true)
	@Column(value = "line_id")
	private String lineId;

	@ApiModelProperty(value = "异常收货单ID", required = true)
	@Column(value = "billid")
	private String billid;

	@ApiModelProperty(value = "异常收货单编码", required = true)
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "异常明细行号", required = true)
	@Column(value = "seqno")
	private String seqno;

	@ApiModelProperty(value = "关联订单业务单据类型", required = true)
	@Column(value = "ref_billtype")
	private String refBilltype;

	@ApiModelProperty(value = "关联入库单ID", required = true)
	@Column(value = "ref_billid")
	private String refBillid;

	@ApiModelProperty(value = "关联入库订单单号", required = true)
	@Column(value = "ref_billno")
	private String refBillno;

	@ApiModelProperty(value = "关联入库订单明细行号", required = true)
	@Column(value = "ref_seqno")
	private String refSeqno;

	@ApiModelProperty(value = "货主ID", required = true)
	@Column(value = "consignorid")
	private String consignorid;

	@ApiModelProperty(value = "货主编号", required = true)
	@Column(value = "consignorcode")
	private String consignorcode;

	@ApiModelProperty(value = "货主名称", required = true)
	@Column(value = "consignorname")
	private String consignorname;

	@ApiModelProperty(value = "商品ID", required = true)
	@Column(value = "itemid")
	private String itemid;

	@ApiModelProperty(value = "商品编码")
	@Column(value = "itemcode")
	private String itemcode;

	@ApiModelProperty(value = "商品名称")
	@Column(value = "itemname")
	private String itemname;

	@ApiModelProperty(value = "父商品ID")
	@Column(value = "parernt_itemid")
	private String parerntItemid;

	@ApiModelProperty(value = "商品规格")
	@Column(value = "spec")
	private String spec;

	@ApiModelProperty(value = "包装数量", required = true)
	@Column(value = "pack_size")
	private BigDecimal packSize;

	@ApiModelProperty(value = "包装单位")
	@Column(value = "pack_units")
	private String packUnits;

	@ApiModelProperty(value = "产地")
	@Column(value = "origin")
	private String origin;

	@ApiModelProperty(value = "生产厂家")
	@Column(value = "manufacturer")
	private String manufacturer;

	@ApiModelProperty(value = "批号")
	@Column(value = "lot_no")
	private String lotNo;

	@ApiModelProperty(value = "批次号")
	@Column(value = "batch_no")
	private String batchNo;

	@ApiModelProperty(value = "生产日期")
	@Column(value = "pdate_from")
	private String pdateFrom;

	@ApiModelProperty(value = "有效期至")
	@Column(value = "valid_until")
	private String validUntil;

	@ApiModelProperty(value = "整件数", required = true)
	@Column(value = "affirmed_pcs")
	private BigDecimal affirmedPcs;

	@ApiModelProperty(value = "零散数")
	@Column(value = "affirmed_odd")
	private BigDecimal affirmedOdd;

	@ApiModelProperty(value = "赠品数量")
	@Column(value = "affirmed_freeqty")
	private BigDecimal affirmedFreeqty;

	@ApiModelProperty(value = "数量", required = true)
	@Column(value = "affirmed_qty")
	private BigDecimal affirmedQty;

	@ApiModelProperty(value = "重量")
	@Column(value = "affirmed_weight")
	private BigDecimal affirmedWeight;

	@ApiModelProperty(value = "体积")
	@Column(value = "affirmed_volume")
	private BigDecimal affirmedVolume;

	@ApiModelProperty(value = "含税单价")
	@Column(value = "price")
	private BigDecimal price;

	@ApiModelProperty(value = "未税单价")
	@Column(value = "tni_price")
	private BigDecimal tniPrice;

	@ApiModelProperty(value = "含税金额")
	@Column(value = "amt")
	private BigDecimal amt;

	@ApiModelProperty(value = "未税金额")
	@Column(value = "tni_amt")
	private BigDecimal tniAmt;

	@ApiModelProperty(value = "成本单价")
	@Column(value = "piece_cost_te")
	private BigDecimal pieceCostTe;

	@ApiModelProperty(value = "单品含税成本")
	@Column(value = "piece_cost_ti")
	private BigDecimal pieceCostTi;

	@ApiModelProperty(value = "进项税率")
	@Column(value = "tax_rate")
	private BigDecimal taxRate;

	@ApiModelProperty(value = "异常原因")
	@Column(value = "abnormal_reasons")
	private String abnormalReasons;

	@ApiModelProperty(value = "备注")
	@Column(value = "remark")
	private String remark;

	@ApiModelProperty(value = "关联来源行id即asn明细id", required = true)
//	@Column(value = "attr_str1")
	@Ignore
	private String asnLineId;

	@ApiModelProperty(value = "扩展字段1(关联来源行id即asn明细id)")
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "attr_str5")
	private String attrStr5;

	@ApiModelProperty(value = "创建人")
	@Column(value = "createby")
	private String createby;

	@ApiModelProperty(value = "创建时间")
	@Column(value = "createdate")
	private Date createdate;

	@ApiModelProperty(value = "修改人")
	@Column(value = "lastmodifyby")
	private String lastmodifyby;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "lastmodifydate")
	private Date lastmodifydate;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "p_enterpriseid")
	private String enterpriseid;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "p_enterprisename")
	private String enterprisename;

	public String getAsnLineId() {
		return asnLineId;
	}

	public void setAsnLineId(String asnLineId) {
		this.asnLineId = asnLineId;
	}

	public String getLineId() {
		return this.lineId;
	}

	public void setLineId(String lineId) {
		this.lineId = lineId;
	}

	public String getBillid() {
		return this.billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getSeqno() {
		return this.seqno;
	}

	public void setSeqno(String seqno) {
		this.seqno = seqno;
	}

	public String getRefBilltype() {
		return this.refBilltype;
	}

	public void setRefBilltype(String refBilltype) {
		this.refBilltype = refBilltype;
	}

	public String getRefBillid() {
		return this.refBillid;
	}

	public void setRefBillid(String refBillid) {
		this.refBillid = refBillid;
	}

	public String getRefBillno() {
		return this.refBillno;
	}

	public void setRefBillno(String refBillno) {
		this.refBillno = refBillno;
	}

	public String getRefSeqno() {
		return this.refSeqno;
	}

	public void setRefSeqno(String refSeqno) {
		this.refSeqno = refSeqno;
	}

	public String getConsignorid() {
		return this.consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorcode() {
		return this.consignorcode;
	}

	public void setConsignorcode(String consignorcode) {
		this.consignorcode = consignorcode;
	}

	public String getConsignorname() {
		return this.consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public String getItemid() {
		return this.itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getItemcode() {
		return this.itemcode;
	}

	public void setItemcode(String itemcode) {
		this.itemcode = itemcode;
	}

	public String getItemname() {
		return this.itemname;
	}

	public void setItemname(String itemname) {
		this.itemname = itemname;
	}

	public String getParerntItemid() {
		return this.parerntItemid;
	}

	public void setParerntItemid(String parerntItemid) {
		this.parerntItemid = parerntItemid;
	}

	public String getSpec() {
		return this.spec;
	}

	public void setSpec(String spec) {
		this.spec = spec;
	}

	public BigDecimal getPackSize() {
		return this.packSize;
	}

	public void setPackSize(BigDecimal packSize) {
		this.packSize = packSize;
	}

	public String getPackUnits() {
		return this.packUnits;
	}

	public void setPackUnits(String packUnits) {
		this.packUnits = packUnits;
	}

	public String getOrigin() {
		return this.origin;
	}

	public void setOrigin(String origin) {
		this.origin = origin;
	}

	public String getManufacturer() {
		return this.manufacturer;
	}

	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}

	public String getLotNo() {
		return this.lotNo;
	}

	public void setLotNo(String lotNo) {
		this.lotNo = lotNo;
	}

	public String getBatchNo() {
		return this.batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public String getPdateFrom() {
		return this.pdateFrom;
	}

	public void setPdateFrom(String pdateFrom) {
		this.pdateFrom = pdateFrom;
	}

	public String getValidUntil() {
		return this.validUntil;
	}

	public void setValidUntil(String validUntil) {
		this.validUntil = validUntil;
	}

	public BigDecimal getAffirmedPcs() {
		return this.affirmedPcs;
	}

	public void setAffirmedPcs(BigDecimal affirmedPcs) {
		this.affirmedPcs = affirmedPcs;
	}

	public BigDecimal getAffirmedOdd() {
		return this.affirmedOdd;
	}

	public void setAffirmedOdd(BigDecimal affirmedOdd) {
		this.affirmedOdd = affirmedOdd;
	}

	public BigDecimal getAffirmedFreeqty() {
		return this.affirmedFreeqty;
	}

	public void setAffirmedFreeqty(BigDecimal affirmedFreeqty) {
		this.affirmedFreeqty = affirmedFreeqty;
	}

	public BigDecimal getAffirmedQty() {
		return this.affirmedQty;
	}

	public void setAffirmedQty(BigDecimal affirmedQty) {
		this.affirmedQty = affirmedQty;
	}

	public BigDecimal getAffirmedWeight() {
		return this.affirmedWeight;
	}

	public void setAffirmedWeight(BigDecimal affirmedWeight) {
		this.affirmedWeight = affirmedWeight;
	}

	public BigDecimal getAffirmedVolume() {
		return this.affirmedVolume;
	}

	public void setAffirmedVolume(BigDecimal affirmedVolume) {
		this.affirmedVolume = affirmedVolume;
	}

	public BigDecimal getPrice() {
		return this.price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public BigDecimal getTniPrice() {
		return this.tniPrice;
	}

	public void setTniPrice(BigDecimal tniPrice) {
		this.tniPrice = tniPrice;
	}

	public BigDecimal getAmt() {
		return this.amt;
	}

	public void setAmt(BigDecimal amt) {
		this.amt = amt;
	}

	public BigDecimal getTniAmt() {
		return this.tniAmt;
	}

	public void setTniAmt(BigDecimal tniAmt) {
		this.tniAmt = tniAmt;
	}

	public BigDecimal getPieceCostTe() {
		return this.pieceCostTe;
	}

	public void setPieceCostTe(BigDecimal pieceCostTe) {
		this.pieceCostTe = pieceCostTe;
	}

	public BigDecimal getPieceCostTi() {
		return this.pieceCostTi;
	}

	public void setPieceCostTi(BigDecimal pieceCostTi) {
		this.pieceCostTi = pieceCostTi;
	}

	public BigDecimal getTaxRate() {
		return this.taxRate;
	}

	public void setTaxRate(BigDecimal taxRate) {
		this.taxRate = taxRate;
	}

	public String getAbnormalReasons() {
		return this.abnormalReasons;
	}

	public void setAbnormalReasons(String abnormalReasons) {
		this.abnormalReasons = abnormalReasons;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getAttrStr1() {
		return this.attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return this.attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrStr3() {
		return this.attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getAttrStr4() {
		return this.attrStr4;
	}

	public void setAttrStr4(String attrStr4) {
		this.attrStr4 = attrStr4;
	}

	public String getAttrStr5() {
		return this.attrStr5;
	}

	public void setAttrStr5(String attrStr5) {
		this.attrStr5 = attrStr5;
	}

	public String getCreateby() {
		return this.createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return this.lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return this.lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getEnterpriseid() {
		return this.enterpriseid;
	}

	public void setEnterpriseid(String enterpriseid) {
		this.enterpriseid = enterpriseid;
	}

	public String getEnterprisename() {
		return this.enterprisename;
	}

	public void setEnterprisename(String enterprisename) {
		this.enterprisename = enterprisename;
	}

}
